@import url('./plugins/fontawesome/css/all.min.css');

* {
	box-sizing: border-box;
}

a {
	color: #de2427;
}

a:hover {
	text-decoration: none;
}

html {
	scroll-behavior: smooth;
}

html,
body {
	display: block;
	margin: 0px auto;
	max-width: 2560px;

	background-color: white;
	text-align: center;
	font-size: medium;
	font-family: 'Open Sans', sans-serif;
	font-weight: normal;
	font-style: normal;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	margin: 0px;
	padding: 0.5em 0px;
}

img {
	max-width: 100%;
	border-style: none;
}

textarea {
	resize: vertical;
}

a[href^='tel:'],
a[href^='mailto:'] {
	white-space: nowrap;
}

.Admin {
	background-color: #e9edf1;
	display: block;
	width: 100%;
	text-align: left;
}

.Admin a {
	display: inline-block;
	padding: 5px 0px 10px 5px;
	font-size: xx-small;
	color: #c5c7c8;
	text-decoration: none;
}

/* Back-to-top styles */
.BackToTop {
	position: fixed;
	z-index: 10;
	right: 10px;
	bottom: 10px;
	background-color: #fcf7f7;
	padding: 10px;
	color: white;
	font-family: sans-serif;
	border-radius: 5px;
	opacity: 0;
	visibility: hidden;
	font-size: medium;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
	gap: 1em;
}

.BackToTop a {
	display: inline-block;
	padding: 10px;
	background-color: #de2427;
	border-radius: 5px;
	color: white;
	text-decoration: none;
	box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.5);
	font-size: 0.8em;
	transition:
		color 0.25s,
		background-color 0.25s;
	line-height: normal;
	height: 50px;
	box-sizing: border-box;
	text-align: center;
}

.BackToTop a:hover {
	color: #ffffff;
	background-color: #f8070a;
}

.BackToTop #BackToTop {
	position: relative;
	display: inline-block;
	cursor: pointer;
	font-size: 20px;
	width: 50px;
}

.BackToTop #BackToTop i {
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
}

.BackToTop #CloseBTT {
	position: absolute;
	left: -10px;
	top: -10px;
	width: 20px;
	height: 20px;
	cursor: pointer;
}

.Box-2 {
	display: inline-block;
	width: 49.5%;
	text-align: left;
	padding: 35px 18px 0px 18px;
	vertical-align: middle;
}

.Box-2 p {
	line-height: 1.5em;
}

/* CAPTCHA styles */
.captcha-field {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: 1em; /* Space between CAPTCHA image and refresh button */
}

.Button {
	display: inline-block;
}

.Button a {
	display: inline-block;
	background-color: #de2427;
	color: white;
	text-decoration: none;
	font-size: 1.2em;
	padding: 10px 20px;
	border-radius: 180px;
}

.Button a:hover {
	background-color: #4d5257;
}

.Container {
	width: 1200px;
	display: inline-block;
	max-width: 90%;
}

/* Form styles */
.form {
	display: flex;
	flex-direction: column;
	gap: 1em;
}

.form-input-field.required {
	flex: 1;
}

.form-row {
	display: flex;
	flex-direction: row;
	gap: 1em;
	flex-wrap: wrap;
}

.form-row .form-input-field {
	flex: 1;
}

.button {
	padding: 0.75em 1em;
	background-color: #c4c6c8;
	color: black;
	font-weight: bold;
	font-size: 1em;
	border: none;
	border-radius: 10px;
	text-decoration: none;
	text-transform: capitalize;
	cursor: pointer;
	transition:
		color 0.25s,
		background-color 0.25s;
}

.button:hover {
	background-color: #a8bbce;
	color: black;
}

.form-input-field {
	display: flex;
	flex-direction: column;
	gap: 0.5em;
	text-align: left;
	min-width: 200px;
}

footer {
	display: block;
	width: 100%;
	padding: 35px 0px 80px 0px;
	background-color: #4f5259;
	color: #b9b9ba;
}

.Footer-Box {
	display: inline-block;
	width: 24.5%;
	padding: 35px;
	vertical-align: top;
	text-align: left;
	min-width: 340px;
}

footer a {
	color: #b9b9ba;
}

footer .Button a {
	font-size: medium;
	background-color: white;
	color: #4f5259;
	font-weight: bold;
	padding: 6px 12px;
}

footer .Button a:hover {
	background-color: white;
	color: #de2427;
}

.Footer-Menu a {
	display: inline-block;
	color: #b9b9ba;
	text-decoration: none;
	width: 90%;
	padding: 5px 0px 5px 5px;
	border-bottom: 2px dotted;
}

.Footer-Menu a:hover {
	color: white;
}

.Footer-Social {
	text-align: center;
	margin-top: 15px;
	display: inline-block;
	width: 100%;
}

.Footer-Social a {
	text-decoration: none;
	color: #b9b9ba;
	display: inline-block;
	font-size: 30px;
	margin-right: 10px;
}

.Footer-Social a:hover {
	color: white;
}

.form-field-label,
.form-field-input {
	width: 100%;
	font-size: 1em;
}

.form-field-input {
	padding: 0.5em;
	border: none;
	background-color: rgb(245, 245, 245);
	border-radius: 10px;
}

.form-field-input[type='date'],
textarea.form-field-input {
	font-size: 1.15em;
}

.form-field-input[type='file'] {
	cursor: pointer;
}

.form-input-field.required {
	flex: 1;
}

.form-input-field.required .form-field-label::before {
	content: '*';
	color: red;
}

/* Navigation styles */
.Nav-Row {
	display: inline-block;
	width: 100%;
}

.Nav-Inline-Block {
	display: inline-block;
	width: 100%;
}

nav {
	display: flex;
	list-style: none;
	justify-content: left;
	margin-left: -15px;
}

nav menu {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	list-style-type: none;
	list-style-image: none;
	padding-left: 0px;
	margin: 0px;
}

nav li {
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	margin-top: 0;
	margin-bottom: 0;
	position: relative;
	height: 100%;
}
nav li ul {
	padding-left: 0px;
	text-align: left;
}
nav li ul li {
	text-align: left;
	padding-left: 0px;
	display: block;
}

nav a {
	text-decoration: none;
	color: #333;
	padding: 1em;
	display: inline-block;
}

nav a:hover {
	color: #df2228;
}

.menu-toggle {
	display: none;
	font-family: inherit;
	font-size: inherit;
}

/* Dropdown content */
.dropdown-content {
	display: none;
	position: absolute;
	background-color: #ffffff;
	min-width: 160px;
	box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
	z-index: 1;
	top: 100%; /* Position the dropdown below the menu item */
	left: 0;
}

.dropdown-content a {
	text-align: left;
	display: block;
	padding: 8px 12px; /* Bring items closer to the left edge */
}

/* Show dropdown when active */
.dropdown-content.show {
	display: block;
}

header {
	display: block;
	width: 100%;
	padding: 20px 0px;
	border-bottom: 1px solid #e3e4e5;
}

header .Button a {
	background-color: #4d5257;
	font-size: small;
	padding: 8px 16px;
	margin: 20px 0px 0px 10px;
}

header .Header-Right .Button:first-child a {
	background-color: #de2427;
}

header .Button a:hover {
	background-color: #de2427;
}

.Header-Right {
	display: inline-block;
	float: right;
}

.Hero {
	background-image: url(Images-Main/Hero-Kansas-Road-Field.jpg);
	background-size: cover;
	background-position: left center;
	display: block;
	width: 100%;
	font-size: 0%;
}

.Hero-Text {
	display: inline-block;
	float: left;
	background-color: rgba(0, 0, 0, 0.72);
	color: white;
	padding: 140px 15px;
	width: 40%;
	font-size: xx-large;
	font-weight: bold;
	border-bottom: 3px solid #de2427;
}

.Hero-Image {
	display: inline-block;
	float: right;
	width: 59%;
}

.Hero-Image img {
	width: 25vw;
	margin-top: 3%;
	min-width: 200px;
	max-width: 400px;
}

.Hero-2 {
	background-image: url(Images-Main/Hero-Kansas-Road-Field.jpg);
	background-size: cover;
	background-position: left 17%;
	display: block;
	width: 100%;
	font-size: 0%;
}

.Hero-Text-2 {
	display: inline-block;
	background-color: rgba(0, 0, 0, 0.72);
	color: white;
	padding: 20px 15px;
	width: 100%;
	font-size: x-large;
}

.Logo {
	display: inline-block;
	float: left;
	width: 300px;
}

.Services-Row {
	display: block;
	width: 100%;
	background-color: #4d5257;
}

.Services-Box {
	display: inline-block;
	width: 24.5%;
	padding: 35px;
	vertical-align: top;
}

.Services-Box a {
	color: #d3cfcf;
	text-decoration: none;
}

.Services-Box a:hover {
	color: white;
}

.Services-Image {
	border-bottom: 3px solid #de2427;
}

.Services-Box img {
	filter: grayscale(100%);
	transition: filter 0.4s ease-in-out;
}

.Services-Box a:hover img {
	filter: grayscale(0%);
}

.Row-50 {
	display: block;
	width: 100%;
	background-color: #e2e2e2;
	margin-top: 35px;
	font-size: 0px;
}

.Row-50-Left {
	display: inline-block;
	width: 50%;
	background-color: #4f5259;
	color: white;
	padding: 40px 0px;
	font-size: medium;
	margin-left: -10px;
}

.Row-50-Box-Left {
	display: inline-block;
	float: right;
	width: 600px;
	max-width: 90%;
	padding-right: 20px;
}

.Row-50-Right {
	display: inline-block;
	width: 49.5%;
	padding: 35px 0px;
	font-size: medium;
}

.Row-50-Box-Right {
	display: inline-block;
	float: left;
	width: 600px;
	max-width: 90%;
	padding-left: 20px;
}

.Row-Color {
	display: block;
	width: 100%;
	padding-bottom: 35px;
}

.Row-Contact {
	background-color: #2a2c2f;
	margin-top: 20px;
	padding: 1em;
	color: white;
	padding: 45px 0px;
}

.Row-Service-Area {
    display: block;
    width: 100%;
    background-image: url(Images-Main/BG-North-Central-Kansas.jpg);
    background-position: left top;
    background-size: cover;
    color: white;
}

.Row-Service-Area .Container {
    padding: 65px;
    border-left: 2px solid #2A2C2F;
    border-right: 2px solid #2A2C2F;
    background-color: rgba(0,0,0,0.25);
}

.Row-Service-Area h1,
.Row-Service-Area h2 {
    text-shadow: 2px 2px 2px #4F5259;
}

.cta-section {
	margin-top: 0;
	padding: 52px 0px;
}

.cta-section h2 {
	max-width: 760px;
	margin: 0 auto;
	font-size: 2em;
	line-height: 1.2;
}

.cta-section p {
	max-width: 760px;
	margin: 0 auto 24px auto;
	color: #f1f1f1;
	line-height: 1.6;
}

.CTA-Actions {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 14px;
}

.contact-intro {
	min-height: 360px;
	display: inline-flex;
	flex-direction: column;
	justify-content: center;
}

.contact-intro p {
	font-size: 1.08em;
	line-height: 1.6;
	max-width: 520px;
}

/* Scroll to highlight styles */
@keyframes highlight-ani {
	0% {
		background-color: transparent;
	}
	25% {
		background-color: #fff59d;
	}
	75% {
		background-color: #fff59d;
	}
	100% {
		background-color: transparent;
	}
}

.ScrollToHighlight-anchor-highlight {
	animation: highlight-ani 2s ease;
}

.ScrollToHighlight-anchor-highlight:after {
	content: '';
	width: 100%;
	height: 100%;
	position: absolute;
	left: 0px;
	top: 0px;
	z-index: 9999999999;
	opacity: 0.25;
	pointer-events: none;
	animation-name: ScrollToHighlight-highlight-ani;
	animation-duration: 1.5s;
	animation-iteration-count: 1;
}

/* Scroll to highlight styles */
@keyframes highlight-ani {
	0% {
		background-color: transparent;
	}
	25% {
		background-color: #fff59d;
	}
	75% {
		background-color: #fff59d;
	}
	100% {
		background-color: transparent;
	}
}

.ScrollToHighlight-anchor-highlight {
	position: relative;
}

.Service-Tiles {
	display: inline-block;
	margin-bottom: 20px;
}

.Service-Tiles p {
	display: inline-block;
	padding: 6px 12px;
	background-color: #4f5259;
	color: white;
}

/* Media Queries */

@media (max-width: 2240px) {
	.Hero-Text {
		font-size: 3vw;
		border-bottom: none;
	}
}

@media only screen and (max-width: 1200px) {
	nav {
		flex-direction: column;
		width: 100%;
		align-items: center;
		margin-left: 0px;
	}

	nav ul {
		margin-top: 0;
		padding-left: 0;
		width: 100%;
		text-align: center;
	}

	nav li {
		width: 100%;
		flex-direction: column;
		align-items: flex-start;
		position: relative;
	}

	nav li a {
		width: 100%;
	}

	.menu-toggle {
		display: flex;
		justify-content: center; /* Center the button horizontally */
		gap: 0.5em;
		align-items: center;
		padding: 1em;
		width: 100%;
		border: none;
		background-color: transparent;
		cursor: pointer;
	}

	.menu-toggle i {
		font-size: 1.5em;
	}

	#main-menu {
		display: none;
		background-color: #ffffff;
		width: 100%;
	}

	.menu-toggle .close {
		display: none;
	}

	#main-nav.active .menu-toggle .close {
		display: var(--fa-display, inline-block);
	}

	#main-nav.active .menu-toggle .open {
		display: none;
	}

	#main-nav.active #main-menu {
		display: flex;
		flex-direction: column;
	}

	.dropdown-content {
		position: static;
		width: 100%;
		margin: 0;
		padding: 0;
	}

	.dropdown-content.show {
		display: block;
	}

	/* Prevent underlining dropdown links on hover/focus */
	nav .dropdown-content a,
	nav .dropdown-content a:active,
	nav .dropdown-content a:focus {
		text-decoration: none !important;
	}

	/* Center dropdown items on mobile */
	.dropdown-content a {
		text-align: center;
	}
}

@media (max-width: 1200px) {
	.Hero-Image img {
		margin-top: 12%;
	}
}

@media (max-width: 1023px) {
	.Box-2 {
		width: 100%;
		padding: 35px 0px 0px 0px;
		float: none;
	}

	.Box-2 img {
		width: 400px;
		display: block;
		margin: 0px auto;
	}

	.Services-Box {
		width: 340px;
	}

	.Services-Box a {
		color: white;
	}
}

@media (max-width: 900px) {
	.Mobile-None {
		display: none;
	}
}

@media (max-width: 650px) {
	.Row-50-Box-Left {
		width: 90%;
		float: none;
	}

	.Row-50-Box-Right {
		width: 90%;
		float: none;
		padding-left: 0px;
	}
	.Row-50-Left {
		width: 100%;
		margin-left: 0px;
	}
	.Row-50-Right {
		width: 100%;
		line-height: 1.5em;
	}
    
    .Row-Service-Area .Container {
         padding: 65px 15px;   
    }
}

@media only screen and (max-width: 600px) {
	.captcha-field {
		flex-direction: column; /* Stack elements vertically */
		align-items: flex-start;
	}

	.captcha {
		display: flex;
		flex-direction: row; /* Ensure the CAPTCHA image and refresh button are side by side */
		align-items: center;
		justify-content: flex-start;
		width: 100%;
	}

	.captcha-image {
		margin-right: 10px; /* Ensure space between the CAPTCHA image and the refresh button */
		max-width: 75%; /* Ensure the image doesn't take up too much space */
	}

	.captcha-refresh-btn {
		margin-top: 0; /* Remove top margin */
		padding: 0;
		height: 100%; /* Align with the height of the CAPTCHA image */
	}

	.form-input-field.required {
		width: 100%; /* Ensure the input field takes full width */
	}

	.Header-Right {
		width: 100%;
		float: none;
	}

	.Logo {
		float: none;
	}
}
